# BadgerAnims

**Version 1.0**&#x20;

This is basically just a script I threw together for my server with a bunch of useful walking styles, animations, and features.

One of the features is if a player is at 50% or less health that they then are set to the walking style limping automatically and will continue to walk like that until they are not under 50% health.

### Badger's Discord Community

[![Developer Discord](https://discordapp.com/api/guilds/597445834153525298/widget.png?style=banner4)](https://discord.com/invite/WjB5VFz)

**Note**&#x20;

For the lockpicking feature to work, you must have this script installed properly as well ---> <https://forum.cfx.re/t/dev-resource-mythic-progress-bar/527607>

All of the features in this script can be toggled on/off via the config section within the client.lua file.

**Config**

```
--- Config ---

-- Locks for vehicles
enableLockpick = true
enableLock = true
enableUnlock = true
lockpickingCarStr = "Breaking into car"
lockpickingCopCarStr = "Breaking into cop car"
lockpickingCarTime = 10 -- Seconds
lockpickingCopCarTime = 40 -- Seconds
copCars = {
"chgr",
"police",
"police2",
"police3",
"police4",
"police7",
"police8",
"police9",
"police10",
"fbi",
"fbi2",
"unmarked1",
"unmarked2",
"unmarked3",
"unmarked4",
"unmarked5",
"unmarked6",
"unmarked7",
"unmarked8",
"unmarked9",
"silv",
"sheriff2",
"sheriff",
"hwayf150",
"ambulance",
"firetruk",
"pbus",
}

-- Misc
enableHealthInjured = true

-- Walk Styles
enableDrunk = true
enableHiking = true
enableInjured = true
enableMuscleWalk = true
```

**Features**&#x20;

`/drunk - Toggles your ped's walking style between drunk and sober.`

`/injured - Toggles your ped's walking style between limping and regular.`

`/hiking - Toggles your ped's walking style between hiking and regular.`

`/musclewalk - Toggles your ped's walking style between musclewalk and regular.`

`/lock - Locks the vehicle you are sitting in.`

`/unlock - Unlocks the vehicle you had previously locked with /lock.`

`/lockpick - Breaks into the closest vehicle to you.`

**Screenshots**

Hiking:&#x20;

![](https://i.gyazo.com/b767489678f953b5f099e731d40dbc07.gif)

MuscleWalk:&#x20;

![](https://i.gyazo.com/5082d61bd58a3832c9230c0bde2dcd8c.gif)

Drunk:

![](https://i.gyazo.com/bdea07bffeda38ef29df5d51a6b5179f.gif)

Injured:&#x20;

![](https://i.gyazo.com/8371b3fe54928dd3e6edebf25343ef9d.gif)

Lockpicking:

![](https://i.gyazo.com/63ff9b93b136bfb86a8aca4be0cbe612.gif)

**Download** [BadgerAnims](https://github.com/TheWolfBadger/BadgerAnims)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.badger.store/fivem-misc.-scripts/badgeranims.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
